Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.common.util
Enum SecureHash.Algorithm

    java.lang.Object
      java.lang.Enum<SecureHash.Algorithm>
          org.modeshape.common.util.SecureHash.Algorithm

All Implemented Interfaces:
  Serializable, Comparable<SecureHash.Algorithm>

Enclosing class:
  SecureHash

    public static enum SecureHash.Algorithm

extends Enum<SecureHash.Algorithm>

Commonly-used hashing algorithms.

Enum Constant Summary
`MD2`
`MD5`
`SHA_1`
`SHA_256`
`SHA_384`
`SHA_512`

Method Summary
`String` | `description()`
`String` | `digestName()`
`String` | `toString()`
`static SecureHash.Algorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SecureHash.Algorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MD2

    public static final SecureHash.Algorithm MD2

### MD5

    public static final SecureHash.Algorithm MD5

### SHA_1

    public static final SecureHash.Algorithm SHA_1

### SHA_256

    public static final SecureHash.Algorithm SHA_256

### SHA_384

    public static final SecureHash.Algorithm SHA_384

### SHA_512

    public static final SecureHash.Algorithm SHA_512

Method Detail

### values

    public static SecureHash.Algorithm[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SecureHash.Algorithm c : SecureHash.Algorithm.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SecureHash.Algorithm valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### digestName

    public String digestName()

### description

    public String description()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SecureHash.Algorithm>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.